Bug 134403 - Update policy for Inactive Committer and Reviewer status
Summary: Update policy for Inactive Committer and Reviewer status
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Website (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Bem Jones-Bey
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-27 10:48 PDT by Bem Jones-Bey
Modified: 2014-07-23 11:51 PDT (History)
7 users (show)

See Also:


Attachments
Patch (2.02 KB, patch)
2014-06-27 10:49 PDT, Bem Jones-Bey
no flags Details | Formatted Diff | Diff
Patch (2.50 KB, patch)
2014-06-27 14:22 PDT, Bem Jones-Bey
no flags Details | Formatted Diff | Diff
Patch (2.64 KB, patch)
2014-07-08 09:10 PDT, Bem Jones-Bey
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bem Jones-Bey 2014-06-27 10:48:46 PDT
Update policy for Inactive Committer and Reviewer status
Comment 1 Bem Jones-Bey 2014-06-27 10:49:09 PDT
Created attachment 233996 [details]
Patch
Comment 2 Beth Dakin 2014-06-27 11:02:08 PDT
Comment on attachment 233996 [details]
Patch

This looks good to me!
Comment 3 Ryosuke Niwa 2014-06-27 11:59:53 PDT
Comment on attachment 233996 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=233996&action=review

> Websites/webkit.org/coding/commit-review-policy.html:108
> +landing at least one patch in the past year.</p>

or reviewing a patch for the reviewer status.

> Websites/webkit.org/coding/commit-review-policy.html:111
> +<p>Inactive Committers can regain Active Committer status by simply landing a
> +non-trivial patch and asking to return to Active status.</p>

We might want to separately mention that subversion account not used to commit patches into the repository for more than one year will be deactivated for security reasons.
Comment 4 Holger Freyther 2014-06-27 12:09:16 PDT
What is the issue you are trying to solve? I am a WebKit reviewer, I look at the commits from time to time, I read the webkit-dev mailinglist but I have not reviewed or landed a patch in a very long time. Given the above definition I count as inactive contributor.

On the other hand I am certainly not qualified to land or review patches right now. For me it would be natural to get more familiar with the code before landing patches again.
Comment 5 Bem Jones-Bey 2014-06-27 14:22:30 PDT
Created attachment 234015 [details]
Patch
Comment 6 Bem Jones-Bey 2014-06-27 14:27:57 PDT
(In reply to comment #3)
> (From update of attachment 233996 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=233996&action=review
> 
> > Websites/webkit.org/coding/commit-review-policy.html:108
> > +landing at least one patch in the past year.</p>
> 
> or reviewing a patch for the reviewer status.
> 
> > Websites/webkit.org/coding/commit-review-policy.html:111
> > +<p>Inactive Committers can regain Active Committer status by simply landing a
> > +non-trivial patch and asking to return to Active status.</p>
> 
> We might want to separately mention that subversion account not used to commit patches into the repository for more than one year will be deactivated for security reasons.

I've uploaded a new version that incorporates these comments.
Comment 7 Bem Jones-Bey 2014-06-27 14:30:19 PDT
(In reply to comment #4)
> What is the issue you are trying to solve? I am a WebKit reviewer, I look at the commits from time to time, I read the webkit-dev mailinglist but I have not reviewed or landed a patch in a very long time. Given the above definition I count as inactive contributor.
> 
> On the other hand I am certainly not qualified to land or review patches right now. For me it would be natural to get more familiar with the code before landing patches again.

The only issue I personally am trying to solve is that for new people it can be hard to know who to talk to for reviews, since the reviewer list is long and lists many people that are no longer even as active as you are. It would satisfy me if we just made it so that these inactive reviewers were listed separately on the team.html page.

There was a security concern about having lots of inactive subversion accounts, and even with having inactive accounts that have access to things like EWS. I believe that's the main point in this, but hopefully some of those that feel more strongly about it than I can elaborate.
Comment 8 Bem Jones-Bey 2014-07-08 09:10:15 PDT
Created attachment 234565 [details]
Patch
Comment 9 Nico Weber 2014-07-08 10:11:15 PDT
Comment on attachment 234565 [details]
Patch

I feel it's in the spirit of this discussion if this is r+d by a (now no longer :-P) inactive reviewer.
Comment 10 WebKit Commit Bot 2014-07-08 16:58:32 PDT
Comment on attachment 234565 [details]
Patch

Clearing flags on attachment: 234565

Committed r170904: <http://trac.webkit.org/changeset/170904>
Comment 11 WebKit Commit Bot 2014-07-08 16:58:36 PDT
All reviewed patches have been landed.  Closing bug.
Comment 12 Ryosuke Niwa 2014-07-09 07:34:28 PDT
Comment on attachment 234565 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=234565&action=review

> Websites/webkit.org/coding/commit-review-policy.html:127
> +Reviewer can send an email to webkit-reviewers requesting it.</p>

This should be webkit-dev as committers can't post messages to webkit-reviewers.
Comment 13 Bem Jones-Bey 2014-07-09 09:12:24 PDT
Comment on attachment 234565 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=234565&action=review

>> Websites/webkit.org/coding/commit-review-policy.html:127
>> +Reviewer can send an email to webkit-reviewers requesting it.</p>
> 
> This should be webkit-dev as committers can't post messages to webkit-reviewers.

Or maybe webkit-committers? (same with committers wanting to be reactivated?)
Comment 14 Bem Jones-Bey 2014-07-23 11:51:00 PDT
(In reply to comment #13)
> (From update of attachment 234565 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=234565&action=review
> 
> >> Websites/webkit.org/coding/commit-review-policy.html:127
> >> +Reviewer can send an email to webkit-reviewers requesting it.</p>
> > 
> > This should be webkit-dev as committers can't post messages to webkit-reviewers.
> 
> Or maybe webkit-committers? (same with committers wanting to be reactivated?)

Haven't heard back, so I've created a patch with this change:
https://bugs.webkit.org/show_bug.cgi?id=135203